%define _appsdir %{_libdir}/apps/Utils

Name:		rox-utils
Version:	20010131
Release:	4mdk
Summary:	Utility functions for ROX.
Group:		Graphical desktop/Other
License:	GPL
URL:		http://www.cerias.purdue.edu/homes/zamboni/rox/
Source0:	Utils.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	rox
BuildRequires:  ImageMagick
BuildArchitectures: noarch

%description
ROX-Filer is a fast, powerful, and easy to use graphical file
manager. It has full support for drag-and-drop and application
directories.  The filer can also provide a pinboard (allowing you to pin
up files on your desktop background) and panels.  The emphasis is on
uncluttered directory views; menus and prompts only appear when needed.

This package contains Utils, a ROX application destined to contain
miscellaneous utility functions, mostly accessible through the
App-specific menu.

Read the README for the currently implemented functions.

%prep
%setup -q -n Utils

%build
# Convert xpm to png.
convert AppIcon.xpm .DirIcon.png
rm -f AppIcon.xpm

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_appsdir}
cp -rf ./* %{buildroot}%{_appsdir}
cp -f ./.DirIcon.png %{buildroot}%{_appsdir}/.DirIcon
rm -f %{buildroot}%{_appsdir}/ChangeLog
rm -f %{buildroot}%{_appsdir}/Help/ChangeLog

# Fix permissions
chmod -R u=rwX %{buildroot}%{_appsdir}
chmod -R go=rX %{buildroot}%{_appsdir}


%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc ChangeLog
%dir %{_appsdir}
%{_appsdir}/*
%{_appsdir}/.DirIcon

%changelog
* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 20010131-4mdk
- rebuild

* Sun Jan 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 20010131-3mdk
- fix buildrequires

* Wed Nov 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 20010131-2mdk
- from Maxim Heijndijk <cchq@wanadoo.nl> :
	- Fixed permissions.

* Tue Nov 19 2002 Maxim Heijndijk <cchq@wanadoo.nl> 20010131-1max
- Initial wrap.
